<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-template #contenRef>
  <ng-content></ng-content>
</ng-template>

<button (click)="appClick.emit($event)"
        *ngIf="appRouterLink == null || appDisabled ; else anchorRef"
        [disabled]="appDisabled"
        [type]="appType"
        class="action-button openk-button">
  <mat-icon *ngIf="appIcon">{{appIcon}}</mat-icon>
  <ng-container [ngTemplateOutlet]="contenRef"></ng-container>
</button>

<ng-template #anchorRef>
  <a (click)="appClick.emit($event)"
     [queryParams]="appStatementId != null || appMailId != null ? { id: appStatementId, mailId: appMailId } : undefined"
     [routerLink]="appRouterLink"
     [target]="appNewTab ? '_blank' : '_self'"
     [type]="appType"
     class="action-button openk-button">
    <mat-icon *ngIf="appIcon">{{appIcon}}</mat-icon>
    <ng-container [ngTemplateOutlet]="contenRef"></ng-container>
  </a>
</ng-template>
